de.esprit.netsuite.client.info

## Class ClientInfoCommand

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.command.ClientCommand
      - - de.esprit.netsuite.client.info.ClientInfoCommand

- All Implemented Interfaces:
    CancellableTask, Renderable, SimpleLogSupport, DeepCloneable, Dumpable, ClientObject, DeliverableMessage, java.io.Serializable, java.lang.Cloneable

      public class ClientInfoCommand
      extends ClientCommand

  This `ClientCommand` asks the client for updating the `ClientInfo` on the server.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientInfoCommand(SessionId fromSessId, SessionId toSessId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `executeSyncFinally()` This method is called after `ClientCommand.executeAsync()` only if the async execution was successful.

    - ### Methods inherited from class de.esprit.netsuite.netdata.command.ClientCommand

      `cancel, checkCancelled, executeAsync, getArgument, getClientContext, getCommandId, getFromSession, getLogChannel, getName, getRenderColor, getRenderIcon, getRenderText, getServerContext, getTargetSession, getTargetUsers, hasFromSession, hasTargetSession, hasTargetUser, isCoClient, isGuiClient, isLogDebug, isLogVerbose, isSkipSender, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setArgument, setcancelled, setClientContext, setFromSession, setLogChannel, setName, setSkipSender, setTargetSession, setTargetUser, setTargetUsers, sleepChecked, toDumpString, toString, wasCancelled`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientInfoCommand

          public ClientInfoCommand(SessionId fromSessId,
                           SessionId toSessId)

  - ### Method Detail

    - #### executeSyncFinally

          public void executeSyncFinally()
                                  throws java.lang.Exception

      Description copied from class: `ClientCommand`
      This method is called after `ClientCommand.executeAsync()` only if the async execution was successful. If the client has a GUI it runs in the EventDispatcher thread and thus may perform GUI updates. The default implementation is empty.
      Overrides:
        `executeSyncFinally` in class `ClientCommand`
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.